Skip to main content
`Ctrl`+`K`

# PetscFECreateLagrangeByCell

Create a `PetscFE` for the basic Lagrange space of degree k

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateLagrangeByCell(MPI_Comm comm, PetscInt dim, PetscInt Nc, DMPolytopeType ct, PetscInt k, PetscInt qorder, PetscFE *fem)

Collective

## Input Parameters

- comm - The MPI comm

- dim - The spatial dimension

- Nc - The number of components

- ct - The celltype of the reference cell

- k - The degree k of the space

- qorder - The quadrature order or `PETSC_DETERMINE` to use `PetscSpace` polynomial degree

## Output Parameter

- fem - The `PetscFE` object

## Note

For simplices, this element is the space of maximum polynomial degree k, otherwise it is a tensor product of 1D polynomials, each with maximal degree k.

## See Also

`PetscFECreateLagrange()`, `PetscFECreateDefault()`, `PetscFECreateByCell()`, `PetscFECreate()`, `PetscSpaceCreate()`, `PetscDualSpaceCreate()`

## Level

beginner

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/snes/tutorials/ex27.c
src/dm/impls/plex/tutorials/ex16.c
src/snes/tutorials/ex11.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages